TF_EncryptorBase Class Reference

Trapdoor function cryptosystems encryption base class. More...

`#include <pubkey.h>`

Inheritance diagram for TF_EncryptorBase:

## Public Member Functions

void | Encrypt (RandomNumberGenerator &rng, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters=g_nullNameValuePairs) const
Public Member Functions inherited from TF_CryptoSystemBase< PK_Encryptor, TF_Base< RandomizedTrapdoorFunction, PK_EncryptionMessageEncodingMethod > >
bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
Public Member Functions inherited from PK_FixedLengthCryptoSystemImpl< BASE >
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const

## Detailed Description

Trapdoor function cryptosystems encryption base class.

Definition at line 292 of file pubkey.h.

## Constructor & Destructor Documentation

## ~TF_EncryptorBase()

virtual TF_EncryptorBase::~TF_EncryptorBase | ( |  | ) |

inline virtual

Definition at line 295 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h